=== lib/libbsdpfkey/Makefile ===
LIB=libbsdpfkey.a
OBJS = pfkey.o

ifdef top_srcdir
include $(top_srcdir)/mk/library.mk
else
include ../../mk/library.mk
endif
