=== debian/tests/control ===
Tests: opportunistic
Restrictions: needs-root, isolation-machine
Depends: @, iputils-ping, wget, systemd, dnsutils
