=== programs/Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 SUBDIRS+=_import_crl
 SUBDIRS+=algparse
 SUBDIRS+=cavp
+SUBDIRS+=letsencrypt
 
 ifeq ($(USE_PORTEXCLUDES),true)
 SUBDIRS+=portexcludes
