=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: libreswan
 Section: net
 Priority: optional
-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Uploaders:
  Paul Wouters <paul@libreswan.org>,
  Ondřej Surý <ondrej@debian.org>,
 Vcs-Browser: https://salsa.debian.org/debian/libreswan
 Vcs-Git: https://salsa.debian.org/debian/libreswan.git -b debian/master
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends:
  bison,
  bzip2,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  flex,
  htmldoc,
  libaudit-dev [linux-any],
@@ -47,7 +48,6 @@
  iproute2 | iproute (>= 20071016),
  iptables,
  libnss3-tools,
- systemd,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
